package com.ym.mec.biz.event;

import org.springframework.context.ApplicationEvent;

import java.util.List;

/**
 * @Author qnc99
 * @Date 2020/12/2 0002
 */
public class CourseStatusChangeEvent extends ApplicationEvent {

    private List<Long> courseIds;

    public CourseStatusChangeEvent(Object source, List<Long> courseIds) {
        super(source);
        this.courseIds = courseIds;
    }

    public List<Long> getCourseIds() {
        return courseIds;
    }

    public void setCourseIds(List<Long> courseIds) {
        this.courseIds = courseIds;
    }
}
